%define major		0
%define libname		%mklibname mission-control-plugins %{major}
%define libname_devel	%mklibname -d mission-control-plugins

Name:           telepathy-mission-control
Version:        5.16.4
Release:        %mkrel 1
Summary:        Telepathy component managing connection managers
Group:          Networking/Instant messaging
License:        LGPLv2+
URL:            http://telepathy.freedesktop.org/wiki/Mission_Control/
Source0:        http://telepathy.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(dbus-1) >= 0.95
BuildRequires:	pkgconfig(dbus-glib-1) >= 0.82
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0) >= 2.28
BuildRequires:	pkgconfig(gmodule-no-export-2.0)
BuildRequires:	pkgconfig(gnome-keyring-1)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(telepathy-glib) >= 0.15.0
BuildRequires:	xsltproc
Requires:	telepathy-filesystem

%description
Mission Control, or MC, is a Telepathy component providing a way for "end-user"
applications to abstract some of the details of connection managers, to provide
a simple way to manipulate a bunch of connection managers at once, and to
remove the need to have in each program the account definitions
and credentials.

%package -n	%{libname_devel}
Summary:	Development library for telepathy-mission-control
Group:		Development/C
Requires:       %libname = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{libname_devel}
Development library for %{name}.

%package -n	%{libname}
Summary:	Run time library for telepathy-mission-control
Group:		System/Libraries

%description -n	%{libname}
Run time library for %{name}.

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
	--disable-upower \
	--disable-static
%make

%install
%makeinstall_std

# don't ship .la
find %{buildroot} -name '*.la' -delete

%files
%doc AUTHORS 
%{_bindir}/*
%{_datadir}/dbus-1/services/*.service
%{_datadir}/glib-2.0/schemas/im.telepathy.MissionControl.FromEmpathy.gschema.xml
%{_libexecdir}/mission-control-5
%{_mandir}/man1/*
%{_mandir}/man8/*

%files -n %{libname}
%{_libdir}/*.so.%{major}*

%files -n %{libname_devel}
%doc %{_datadir}/gtk-doc/html/*
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*pc


%changelog
* Thu Dec 08 2016 luigiwalser <luigiwalser> 5.16.4-1.mga6
+ Revision: 1073297
- 5.16.4

* Sat Feb 06 2016 umeabot <umeabot> 5.16.3-5.mga6
+ Revision: 941830
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 5.16.3-4.mga5
+ Revision: 746796
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 5.16.3-3.mga5
+ Revision: 730595
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 5.16.3-2.mga5
+ Revision: 689816
- Mageia 5 Mass Rebuild

* Sun Aug 31 2014 luigiwalser <luigiwalser> 5.16.3-1.mga5
+ Revision: 670073
- 5.16.3

* Wed Jun 18 2014 luigiwalser <luigiwalser> 5.16.2-1.mga5
+ Revision: 637969
- 5.16.2

* Thu Feb 13 2014 dams <dams> 5.16.1-1.mga5
+ Revision: 590628
- new version 5.16.1

* Sun Jan 05 2014 tmb <tmb> 5.16.0-3.mga4
+ Revision: 564823
- connectivity-monitor: start watching 'use-conn' key in constructed
- mcd-account-manager-default: reset the error to NULL, so the next call is
  working (fdo#72138)

* Mon Oct 21 2013 umeabot <umeabot> 5.16.0-2.mga4
+ Revision: 538922
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 luigiwalser <luigiwalser> 5.16.0-1.mga4
+ Revision: 491066
- 5.16.0

* Sun Sep 29 2013 sander85 <sander85> 5.15.1-1.mga4
+ Revision: 489173
- New version: 5.15.1

* Sun May 05 2013 luigiwalser <luigiwalser> 5.14.1-1.mga3
+ Revision: 412359
- 5.14.1

* Mon Jan 14 2013 umeabot <umeabot> 5.14.0-2.mga3
+ Revision: 384313
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 10 2013 luigiwalser <luigiwalser> 5.14.0-1.mga3
+ Revision: 344452
- 5.14.0

* Fri Oct 26 2012 fwang <fwang> 5.12.3-1.mga3
+ Revision: 310566
- new version 5.12.3

* Wed Jun 27 2012 ovitters <ovitters> 5.12.0-1.mga3
+ Revision: 264593
- new version 5.12.0

* Mon Nov 21 2011 wally <wally> 5.10.1-1.mga2
+ Revision: 170535
- new version 5.10.1
- drop unneeded P0

* Wed Sep 21 2011 wally <wally> 5.9.2-1.mga2
+ Revision: 146517
- new version 5.9.2
- clean .spec a bit

  + fwang <fwang>
    - br gio
    - br xsltproc
    - new version 5.9.1

* Fri Jun 24 2011 dmorgan <dmorgan> 5.9.0-1.mga2
+ Revision: 112995
- New version 5.9.0

* Fri Apr 15 2011 ahmad <ahmad> 5.7.9-1.mga1
+ Revision: 85642
- update to 5.7.9
- bump BR libtelepathy-glib-devel version
- don't ship .la files

* Tue Feb 22 2011 pterjan <pterjan> 5.6.0-1.mga1
+ Revision: 57107
- Drop old scriptlet
- imported package telepathy-mission-control

